Subject: Re: About creating contextID and terimnationID

From: "Rosen, Brian" <[email-masked]>
Date: Wed, 30 Aug 2000 08:47:03 -0400

Hmmm

The original question was "who creates Ids".  I believe it's always the
MG that creates Ids.  For example, the MGC can never specify the
TerminationId in an Add for an ephemeral.  Clearly, the MGC never
specifies the ContextId for a previously non-existing Context.

Your issue seems to be who specifies Ids.
        For physical terminations, I agree that the MGC can specify one,
                or it can specify CHOOSE, in which case the MG will
                pick one
        For ephemeral terminations, I believe the MG always specifies one,
                so that the MGC must always specify CHOOSE.

We could clear up the language you cite to make this clearer.

Brian

> -----Original Message-----
> From: John Segers [mailto:[email-masked]]
> Sent: Wednesday, August 30, 2000 8:26 AM
> To: [email-masked]
> Subject: Re: About creating contextID and terimnationID
>
>
> Brian,
>
> It just so happens that I looked at section 7.2.1 (Add) and found the
> following text:
>
> > The TerminationID specifies the termination to be added to
> the Context.
> > The Termination is either created, or taken from the null Context.
> > For an existing Termination, the TerminationID would be specific.
> > For a Termination that does not yet exist, the TerminationID is
> > specified as CHOOSE  in the command. The new TerminationID will be
> > returned.
>
> This text is not particularly clear, but seems to say that specific
> physical Terminations are designated in Add commands, while
> CHOOSE must
> be used for ephemerals.
>
> In my opinion we shouldn't have this restriction in the protocol: in
> some situations you may want to have the MG select a termination
> (outgoing circuit within a trunk), in some you have to specify the
> termination (access GW with subscriber lines).
>
> It may make sense to have profiles impose such restrictions.
>
> Cheers,
>
> John
>
> Brian Rosen wrote:
> > No, the MG creates Contexts, and their IDs, as well as all
> TerminationIds (both
> > physical and ephemeral).  It is not possible for the MGC to
> create contextIds or
> > terminationIds.
> >
> > Brian
>
>
>
> --
> John Segers                                  email: [email-masked]
> Lucent Technologies                                        Room HE 303
> Dept. Forward Looking Work                      phone: +31 35 687 4724
> P.O. Box 18, 1270 AA  Huizen                      fax: +31 35 687 5954
>

---

From: John Segers <[email-masked]>
Date: Wed, 30 Aug 2000 14:59:46 +0200

Brian,

You seem to distinguish between creating and specifying Ids, but I don't
understand the distinction.  Can you elaborate?

I agree with your text for physical terminations, but I'm not sure it
isn't valid to have the MGC use a specific Id to create an ephemeral
termination.

John

---

From: Flemming Andreasen <[email-masked]>
Date: Wed, 30 Aug 2000 09:47:28 -0400

> understand the distinction.  Can you elaborate?

Let's say I have an MG with 4 analog access lines and an IP interface supporting
RTP terminations. As part of provisioning, I define a name-space for both. In
the case of the analog access lines, I define my naming scheme to be aaln/1,
aaln/2, aaln/3 and aaln/4. In the case of the IP interface, I define a naming
scheme to be RTP/<number>. Now, when adding an analog access line to my context,
I *specify* which analog access line I want added, e.g. aaln/1. When adding an
RTP termination to the context, I simply need an RTP termination, hence I
instruct the MG to create one for me. As part of that creation, a name is
assigned to the RTP termination, e.g. RTP/1

> isn't valid to have the MGC use a specific Id to create an ephemeral

The question to ask is why ? In the case of physical terminations, you refer to
a specific physical entity and hence you MUST be able to precisely identify that
entity. In the case of ephemeral terminations however, the termination does not
exist until added to a context, and once subtracted it disappears. In other
words, it's not anything permanently referenceable, and hence using a specific
Id doesn't mean anything.

-- Flemming

--
Flemming Andreasen
Cisco Systems

---

From: John Segers <[email-masked]>
Date: Wed, 30 Aug 2000 15:49:48 +0200

Flemming,

This makes a lot of sense.  So you agree that the name of an ephemeral
to be created is partially specified rather than CHOOSE only.

Cheers,

John

---

From: Flemming Andreasen <[email-masked]>
Date: Wed, 30 Aug 2000 17:16:37 -0400

> to be created is partially specified rather than CHOOSE only.

In most cases yes. If you only have a single type of termination, then CHOOSE alone
might be fine. If you have multiple, it's not disallowed, but you wouldn't know which
one you would get (which most likely is not what you wanted).

-- Flemming

--
Flemming Andreasen
Cisco Systems